> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaero.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve File

> Returns information about one specific file.



## OpenAPI

````yaml /api-reference/openapi.json get /files/{file_id}
openapi: 3.0.0
info:
  title: Vaero API
  version: 1.0.0
  description: API for file uploads to Vaero platform.
servers:
  - url: https://vaeroapi.com/v1
    description: Production server
security: []
paths:
  /files/{file_id}:
    get:
      tags:
        - Files
      summary: Retrieve File
      description: Returns information about one specific file.
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the file to use for this request.
      responses:
        '200':
          description: The File Object matching the specified ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Auto-assigned UUID file identifier.
                    example: file-abc123
                  object:
                    type: string
                    description: Object type, which will always be 'file'.
                    example: file
                  bytes:
                    type: integer
                    description: Size of the uploaded file in bytes.
                    example: 120000
                  created_at:
                    type: integer
                    description: Unix timestamp for when the file was created.
                    example: 1677610602
                  filename:
                    type: string
                    description: The name of the uploaded file.
                    example: mydata.txt
                  purpose:
                    type: string
                    description: The purpose of the uploaded file.
                    example: fine-tune
        '404':
          description: File not found. The specified file ID does not exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message explaining the issue.
                    example: File not found.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````